virtualbox, virtualbox-dkms, virtualbox-qt fail during upgrade from 19.04 to 19.10

Bug #1844805 reported by Jonathan Kamens on 2019-09-20
92
This bug affects 17 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Status tracked in Focal
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Medium
Łukasz Zemczak
Eoan
Medium
Łukasz Zemczak
Focal
Medium
Łukasz Zemczak

Bug Description

[Impact]

Currently some users can encounter an error while upgrading from disco to eoan whenever the kernel has been upgraded before starting the upgrade without a reboot first. This can cause certain dkms packages (like virtualbox-dkms) in certain circumstances to fail. The reported case was that the user was running a not-up-to-date kernel, even though being fully upgraded but not rebooted, while only the one in -upgrades had fixes to support building the virtualbox dkms package.

We need to make sure such issues do not happen again. Since such issues can occur, we not only have to force people to be fully up-to-date before starting the upgrade but also request a reboot if the kernel has been upgraded. This way we'll be sure the users are running the latest kernel.

[Test Case]

 * On a disco system, enable {disco,eoan}-proposed and upgrade ubuntu-release-upgrader-core.
 * Upgrade the kernel packages
   - This can usually be done by simply installing the new kernel package that is currently in {disco,eoan}-proposed. Basically most of the time there's always a new kernel in-flight.
   - If not, another possibility is looking for a newer kernel in one of the proposed kernel PPAs.
 * Make sure your system is fully up-to-date.
 * Run `do-release-upgrade` and make sure it does not allow you to continue the upgrade without restarting the system first.

[Regression Potential]

I can't easily think of any regression potential, any issues in the changed code would most likely make the bugfix not work. The most absurd thing I could think of is the match being horribly wrong, asking users to do a reboot where it was not really necessary - but that's basically impossible and, actually, not a big deal.

[Original Description]

I upgraded this morning from 19.04 to 19.10 with `do-release-upgrade -d` and the upgrade reported that virtualbox, virtualbox-qt, and virtualbox-dkms encountered problems during the upgrade.

I uninstalled and reinstalled them after rebooting and saw this:

```
ERROR (dkms apport): kernel package linux-headers-5.0.0-29-generic is not supported
Error! Bad return status for module build on kernel: 5.0.0-29-generic (x86_64)
Consult /var/lib/dkms/virtualbox/6.0.12/build/make.log for more information.
```

I think this means the version of virtualbox in 19.10 doesn't want to compile against a 19.04 kernel?

The problem with this, of course, is that everyone who upgrades from 19.04 to 19.10 is going to have a 19.04 kernel installed during the upgrade (and afterward, since one old kernel is saved), so the upgrade will fail for everyone with virtualbox installed. I think this needs to be fixed?

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: virtualbox (not installed)
ProcVersionSignature: Ubuntu 5.3.0-10.11-generic 5.3.0-rc8
Uname: Linux 5.3.0-10-generic x86_64
ApportVersion: 2.20.11-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep 20 10:47:44 2019
InstallationDate: Installed on 2019-09-12 (7 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
SourcePackage: virtualbox
UpgradeStatus: Upgraded to eoan on 2019-09-20 (0 days ago)

Jonathan Kamens (jik) wrote :
Jonathan Kamens (jik) on 2019-09-20
tags: added: regression-release

Hello, do you think you can attach also the referenced file?
/var/lib/dkms/virtualbox/6.0.12/build/make.log

thanks

Changed in virtualbox (Ubuntu):
status: New → Incomplete
Joe Barnett (thejoe) wrote :

Here's what I get trying to build the eoan virtualbox dkms module against an installed disco kernel.

Changed in virtualbox (Ubuntu):
status: Incomplete → New
Jonathan Kamens (jik) wrote :

Gianfranco, FYI, I missed the notification about your comment above because of https://bugs.launchpad.net/launchpad/+bug/1589693. You might want to weigh in there and/or vote on that bug if you haven't already. Launchpad has been generating emails that violate email security standards for over three years and for some reason the people who maintain the software don't appear to be inclined to fix it.

You have to move to kernel 5.3, the kernel 5.0.0-23 didn't have the fstack protector fixes

Changed in virtualbox (Ubuntu):
status: New → Invalid
Jonathan Kamens (jik) wrote :

*sigh*

The bug is not that the version of virtualbox in 19.10 only works with the 19.10 kernel.

The bug is that if someone with virtualbox tries to upgrade to 19.10, THE UPGRADE WILL FAIL BECAUSE OF THIS.

The upgrade needs to handle this problem, not just fail with no useful explanation to the user.

Changed in virtualbox (Ubuntu):
status: Invalid → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in virtualbox (Ubuntu):
status: New → Confirmed

this is a kernel issue, not a vbox one.

Changed in virtualbox (Ubuntu):
status: Confirmed → Invalid
Jonathan Kamens (jik) wrote :

Wow, Gianfranco.

As someone who works on Debian / Ubuntu would it not be preferable for you to make at least a modicum of effort to route an issue like this to the appropriate people rather than merely repeatedly trying to close the bug report?

In the short time since 19.10 was officially released this bug has been reported by 11 people.

It's a SIGNIFICANT ISSUE. Rather than engaging in a petty pissing match about whose fault the problem is, can you maybe help get it routed to the people who might be able to fix it?

And how is it a kernel issue when the problem is that the virtualbox module code shipped in 19.10 that dkms is trying to compile isn't compatible with the old kernel?

Andy Whitcroft (apw) wrote :

If the system was updated to the tip of disco before being upgraded as above this should not occur as the kernel in disco was fixed to avoid this issue. I was under the impression you had to be updated to the latest -updates packages to do an upgrade, so I am supprised it let you do this.

Seth Forshee (sforshee) wrote :

The disco kernel was updated for this, but it looks like you were running an older kernel which did not receive the update. If you reboot into the newest kernel for disco you should not encounter this issue when upgrading.

Jonathan Kamens (jik) wrote :

I was fully updated in disco before I upgraded to 19.10.

I think the problem is that it's not good enough for the tip disco kernel to be updated. One old kernel version is saved even after autoremove, and if the user doesn't run autoremove then I think any number of old kernels could be saved, and I believe dkms will try to build modules for all of them?

Seth Forshee (sforshee) wrote :

Modules should only be built at install time for the current and newest kernels. So as long as you are up to date _and_ booted into a kernel with the fix you should be able to upgrade.

Seth Forshee (sforshee) wrote :

I see there's one caveat, the autoinstall_all_kernels variable in /etc/dkms/framework.conf can be set to build for all installed kernels, not just the current and newest. But the default is to build only for current and newest.

Jonathan Kamens (jik) wrote :

So the failure mode I ran into was running the upgrade to 19.10 after upgrading all disco packages but before rebooting.

In that case it seems like the upgrader needs to refuse to run if the system needs to be restarted?

Brian Murray (brian-murray) wrote :

do-release-upgrade contains the following code:

190 if os.path.exists('/var/run/reboot-required.pkgs'):
191 reboot = False
192 with open('/var/run/reboot-required.pkgs', 'rb') as f:
193 for line in f:
194 if line == b'libc6\n':
195 reboot = True
196 break
197 if reboot:
198 if not options.quiet:
199 print(_("You have not rebooted after updating a package which "
200 "requires a reboot. Please reboot before upgrading."))
201 sys.exit(1)

It sounds like we should be for checking something else in the reboot-required.pkgs file. What would that be?

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Incomplete
importance: Undecided → Medium
tags: added: rls-ff-incoming

On Wed, Oct 23, 2019 at 07:13:27PM -0000, Brian Murray wrote:
> It sounds like we should be for checking something else in the reboot-
> required.pkgs file. What would that be?

It looks like linux-image-* shows up in there, seems like a reasonable
thing to check for in this case.

Changed in ubuntu-release-upgrader (Ubuntu):
status: Incomplete → Triaged
tags: removed: rls-ff-incoming
Changed in virtualbox (Ubuntu Eoan):
status: New → Invalid
Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: New → Triaged
importance: Undecided → Medium
tags: added: id-5db1d1e0a5035a6075816b57
DaveB (kneutron) wrote :

Update: I did *not* run into this bug again while doing do-release-upgrade from 19.04 to 19.10 today

Jonathan Kamens (jik) wrote :

@kneutron were you in the state described above, i.e., had you updated your 19.04 kernel but not rebooted after doing so before doing the 19.10 upgrade?

Changed in ubuntu-release-upgrader (Ubuntu Focal):
assignee: nobody → Łukasz Zemczak (sil2100)
Changed in ubuntu-release-upgrader (Ubuntu Eoan):
assignee: nobody → Łukasz Zemczak (sil2100)
description: updated
description: updated
Changed in ubuntu-release-upgrader (Ubuntu Disco):
status: New → Triaged
assignee: nobody → Łukasz Zemczak (sil2100)
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.1

---------------
ubuntu-release-upgrader (1:20.04.1) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    data/DistUpgrade.cfg.bionic,
    pre-build.sh:
    - updated for 19.10 -> 20.04

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 28 Oct 2019 18:35:36 +0100

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in virtualbox (Ubuntu Disco):
status: New → Confirmed

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.04.16.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Disco):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-disco
Adam Conrad (adconrad) wrote :

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.10.15.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: Triaged → Fix Committed
tags: added: verification-needed-eoan

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:19.10.15.1) for eoan have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:19.10.15.1 (i386)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/eoan/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.10.15.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: virtualbox (Ubuntu)
no longer affects: virtualbox (Ubuntu Disco)
no longer affects: virtualbox (Ubuntu Eoan)
no longer affects: virtualbox (Ubuntu Focal)
tags: added: dist-upgrade
removed: regression-release

I tested te new package on a clean Eoan Install:

1. Install Ubuntu 19.10 Eoan
2. Install the virtualbox package
3. Enable eoan-proposed
4. Install updates
5. do-release-upgrade -d
6. "refusing upgrading before a reboot is performed" worked fine

tags: added: verification-done-eoan
removed: verification-needed-eoan
tags: added: verification-done-disco
removed: verification-needed-disco
tags: removed: verification-needed
Adam Conrad (adconrad) wrote :

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:16.04.28 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Adam Conrad (adconrad) wrote :

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.35 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:18.04.35) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:18.04.35 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Łukasz Zemczak (sil2100) wrote :

I have successfully verified ubuntu-release-upgrader 1:19.04.16.8 on a disco multipass instance. Enabled disco-proposed, upgraded all the packages (the upgrade also pulled in a new kernel from -proposed), ran do-release-upgrade and confirmed that a reboot is required. And after rebooting the upgrader worked as expected.

Łukasz Zemczak (sil2100) wrote :

I tried verifying this on bionic, but actually I need to look into it a bit more closely - since after upgrading the system (with a new kernel from -proposed as well), I noticed that /var/run/reboot-required.pkgs does not actually list linux-image-* in it, but instead only has a 'linux-base' entry in it. Let me look into that a bit more.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:19.10.15.2

---------------
ubuntu-release-upgrader (1:19.10.15.2) eoan; urgency=medium

  * Fix binary and binary-indep targets to work as intended (LP: #1850851)

ubuntu-release-upgrader (1:19.10.15.1) eoan; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

ubuntu-release-upgrader (1:19.10.15) eoan; urgency=medium

  * Don't check for validity of /usr/bin/python symlink because this is no
    longer relevant to the upgrades (and the printed error message was
    inaccurate). LP: #1825655.
  * Clean up remaining references to /usr/bin/python (tests and utilities)
    in the source.

ubuntu-release-upgrader (1:19.10.14) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: New python3-apt bindings no longer provide
    Package.section, so switch to using Package.{candidate,installed}.section
    whenever applicable. This fixes broken partial upgrades. (LP: #1841675)

ubuntu-release-upgrader (1:19.10.13) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: do not include gnome-system-monitor in
    the deb to snap transition anymore. (LP: #1845485)
  * DistUpgrade/DistUpgradeQuirks.py: improve wording regarding not being able
    to upgrade from a system with an apt architecture of i386.

  [ Łukasz 'sil2100' Zemczak ]
  * DistUpgrade/DistUpgradeQuirks.py: slightly refactor code to fix related
    unit tests.

 -- Adam Conrad <email address hidden> Thu, 31 Oct 2019 13:38:35 -0600

Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Łukasz Zemczak (sil2100) wrote :

Uploaded a modified version of the update, hopefully supporting all the cases of kernel upgrades.

Changed in ubuntu-release-upgrader (Ubuntu Disco):
status: Fix Committed → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: Fix Released → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Fix Committed → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: Fix Committed → In Progress

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.10.15.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed-eoan
removed: verification-done-eoan
Changed in ubuntu-release-upgrader (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed-disco
removed: verification-done-disco
Brian Murray (brian-murray) wrote :

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:19.04.16.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.36 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Jonathan, or anyone else affected,

Accepted ubuntu-release-upgrader into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:16.04.29 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:18.04.35) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:18.04.35 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:16.04.29) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:16.04.29 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of ubuntu-release-upgrader from xenial-proposed was performed and bug 1851902 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed-xenial" tag from this bug report and add the tag "bot-stop-nagging" to bug 1851902 (not this bug). Thanks!

tags: added: verification-failed-xenial
Łukasz Zemczak (sil2100) wrote :

The bug mentioned in comment #42 is unrelated, the failure is caused by the usual "ERROR No 'ubuntu-minimal' available/downloadable after sources.list rewrite+update", most probably meaning a modified/corrupted sources.list file.

tags: removed: verification-failed-xenial
Łukasz Zemczak (sil2100) wrote :

I have verified ubuntu-release-upgrader 1:19.10.15.3 on eoan. As previously, I have enabled eoan-proposed, upgraded (pulling a new kernel), ran `do-release-upgrade` and got the message that a reboot is required first.

tags: added: verification-done-eoan
removed: verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

I have verified ubuntu-release-upgrader 1:19.04.16.9 on disco. I have enabled disco-proposed, upgraded (pulling a new kernel), ran `do-release-upgrade` and got the message that a reboot is required first. All good.

tags: added: verification-done-disco
removed: verification-needed-disco
Łukasz Zemczak (sil2100) wrote :

I have verified ubuntu-release-upgrader 1:18.04.36 on bionic. I have enabled bionic-proposed, upgraded (pulling a new kernel), ran `do-release-upgrade` and got the message that a reboot is required first. I then double-checked the /var/run/reboot-required.pkgs contents - it only had 'linux-base' as expected. I modified the file to only have a dummy package name, 'linux-foo', and re-ran the command - upgrade started normally as expected.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

I have performed the same verification of ubuntu-release-upgrader 1:16.04.29 on xenial. I have enabled xenial-proposed, upgraded (pulling a new kernel), ran `do-release-upgrade` and got the message that a reboot is required first. Situation similar to bionic. Good to go.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:19.10.15.3

---------------
ubuntu-release-upgrader (1:19.10.15.3) eoan; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 07 Nov 2019 11:56:11 +0100

Changed in ubuntu-release-upgrader (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:19.04.16.9

---------------
ubuntu-release-upgrader (1:19.04.16.9) disco; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

ubuntu-release-upgrader (1:19.04.16.8) disco; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 07 Nov 2019 12:03:55 +0100

Changed in ubuntu-release-upgrader (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.04.36

---------------
ubuntu-release-upgrader (1:18.04.36) bionic; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

ubuntu-release-upgrader (1:18.04.35) bionic; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 07 Nov 2019 12:22:02 +0100

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.04.29

---------------
ubuntu-release-upgrader (1:16.04.29) xenial; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

ubuntu-release-upgrader (1:16.04.28) xenial; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 07 Nov 2019 12:42:41 +0100

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers